Bug 1462688 - fix %global pidfiledir and other references to legacy /var/run
fix %global pidfiledir and other references to legacy /var/run
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: community-mysql (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Michal Schorm
Fedora Extras Quality Assurance
TODO: check, if SELinux context is se...
:
Depends On: 1455811
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-19 05:34 EDT by Michal Schorm
Modified: 2017-08-09 15:58 EDT (History)
9 users (show)

See Also:
Fixed In Version: community-mysql-5.7.19-1.fc26 community-mysql-5.7.19-1.fc25
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: 1455811
Environment:
Last Closed: 2017-08-09 11:57:25 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Schorm 2017-06-19 05:34:06 EDT
+++ This bug was initially created as a clone of Bug #1455811 +++

Description of problem:

%global pidfiledir %{_localstatedir}/run/%{daemon_name}

points to legacy /var/run, please make it:

%global pidfiledir /run/%{daemon_name}

Because Fedora cannot forever rely on the /var/run symlink hack and besides it potentially breaks other components that do expect that the /var/run -> /run move has been completed. (i would not be making an issue out of this if this issue did not affect me)

Here are some other occurences that should be addressed:

mysql.init.in: # pidfile: /var/run/@DAEMON_NAME@/@DAEMON_NAME@.pid
mysql.tmpfiles.d.in: d @PID_FILE_DIR@ 0755 mysql mysql -

There is no reason to keep relying on the /var/run symlink. The /var/run -> /run move should have been completed a long time ago.

The initscripts package should also be addressing this, and arguably this should just addressed tree wide (all rpm specs, all tmpfiles snippets and all service and socket units should be modified to reflect the new reality)

Only then can be truly say that the /var/run -> /run move was completed.

--- Additional comment from Igor Gnatenko on 2017-06-19 04:02:44 EDT ---

Use %{_rundir} instead.

--- Additional comment from Michal Schorm on 2017-06-19 04:39:17 EDT ---

I updated the path using "%{_rundir}".

All "@SOME_MACRO_HERE@" should be updated automaticly.
Comment 1 Fedora Update System 2017-07-25 09:19:01 EDT
community-mysql-5.7.19-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-ee93493bea
Comment 2 Fedora Update System 2017-07-25 18:50:34 EDT
community-mysql-5.7.19-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-7a827cf42a
Comment 3 Fedora Update System 2017-07-25 18:55:16 EDT
community-mysql-5.7.19-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-7c039552fa
Comment 4 Fedora Update System 2017-07-25 21:20:33 EDT
community-mysql-5.7.19-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-ee93493bea
Comment 5 Fedora Update System 2017-08-09 11:57:25 EDT
community-mysql-5.7.19-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2017-08-09 15:58:08 EDT
community-mysql-5.7.19-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.